## fonts-montserrat 9.000

=== Makefile ===
SOURCES=$(shell python3 scripts/read-config.py --sources )
FAMILY=$(shell python3 scripts/read-config.py --family )

help:
	@echo "###"
	@echo "# Build targets for $(FAMILY)"
	@echo "###"
	@echo
	@echo "  make build:  Builds the fonts and places them in the fonts/ directory"
	@echo "  make test:   Tests the fonts with fontbakery"
	@echo "  make proof:  Creates HTML proof documents in the proof/ directory"
	@echo

build: build.stamp

venv: venv/touchfile

customize: venv
	. venv/bin/activate; python3 scripts/customize.py

build.stamp: venv sources/config.yaml $(SOURCES)
	rm -rf fonts fonts-underline fonts-alternates
	(for config in sources/config*.yaml; do . venv/bin/activate; gftools builder $$config; done) && touch build.stamp
	. venv/bin/activate; python3 sources/vtt/hinting.py; bash alternates.sh

venv/touchfile: requirements.txt
	test -d venv || python3 -m venv venv
	. venv/bin/activate; pip install -Ur requirements.txt
	touch venv/touchfile

test: venv build.stamp
	. venv/bin/activate; mkdir -p out/ out/fontbakery; fontbakery check-googlefonts -l WARN --full-lists --succinct --badges out/badges --html out/fontbakery/fontbakery-report.html --ghmarkdown out/fontbakery/fontbakery-report.md $(shell find fonts/ttf -type f)  || echo '::warning file=sources/config.yaml,title=Fontbakery failures::The fontbakery QA check reported errors in your font. Please check the generated report.'

proof: venv build.stamp
	. venv/bin/activate; mkdir -p out/ out/proof; diffenator2 proof $(shell find fonts/ttf -type f) -o out/proof

%.png: %.py build.stamp
	. venv/bin/activate; python3 $< --output $@

clean:
	rm -rf venv
	find . -name "*.pyc" -delete

update-project-template:
	npx update-template https://github.com/googlefonts/googlefonts-project-template/

update:
	pip install --upgrade $(dependency); pip freeze > requirements.txt

=== requirements.txt ===
absl-py==2.1.0
afdko==4.0.1
appdirs==1.4.4
attrs==24.2.0
axisregistry==0.4.11
babelfont==3.0.5
beautifulsoup4==4.12.3
beziers==0.6.0
blackrenderer==0.6.0
booleanOperations==0.9.0
Brotli==1.1.0
bump2version==1.0.1
bumpfontversion==0.4.1
cattrs==24.1.2
certifi==2024.8.30
cffi==1.17.1
cffsubr==0.3.0
charset-normalizer==3.3.2
cmarkgfm==2024.1.14
collidoscope==0.6.5
commandlines==0.4.1
compreffor==0.5.5
cryptography==43.0.1
defcon==0.10.3
dehinter==4.0.0
Deprecated==1.2.14
diffenator2==0.4.4
docopt==0.6.2
filelock==3.16.1
font-v==2.1.0
fontbakery==0.13.0a1
fontFeatures==1.8.0
fontmake==3.9.0
fontMath==0.9.4
fontParts==0.12.2
fontPens==0.2.4
fonttools==4.54.1
freetype-py==2.3.0
fs==2.4.16
gflanguages==0.6.4
gfsubsets==2024.9.25
gftools==0.9.70
gitdb==4.0.11
GitPython==3.1.43
glyphsets==1.0.0
glyphsLib==6.9.0
h11==0.14.0
idna==3.10
importlib_resources==6.4.5
Jinja2==3.1.4
kurbopy==0.11.0
lxml==5.3.0
markdown-it-py==3.0.0
MarkupSafe==2.1.5
mdurl==0.1.2
munkres==1.1.4
MutatorMath==3.0.1
nanoemoji==0.15.1
networkx==3.3
ninja==1.11.1.1
num2words==0.5.13
numpy==2.1.1
openstep-plist==0.3.1
opentype-feature-freezer==1.32.2
opentype-sanitizer==9.1.0
opentypespec==1.9.1
orjson==3.10.7
outcome==1.3.0.post0
packaging==24.1
picosvg==0.22.1
pillow==10.4.0
pip-api==0.0.34
pngquant-cli==2.17.0.post5
protobuf==3.20.3
pyahocorasick==2.1.0
pybind11==2.13.6
pycairo==1.27.0
pyclipper==1.3.0.post5
pycparser==2.22
pygit2==1.15.1
PyGithub==2.4.0
Pygments==2.18.0
PyJWT==2.9.0
PyNaCl==1.5.0
pyparsing==3.1.4
PySocks==1.7.1
python-bidi==0.4.2
python-dateutil==2.9.0.post0
PyYAML==6.0.2
regex==2024.9.11
requests==2.32.3
resvg-cli==0.22.0.post3
rich==13.8.1
rstr==3.2.2
ruamel.yaml==0.18.6
ruamel.yaml.clib==0.2.8
selenium==4.25.0
shaperglot==0.6.3
six==1.16.0
skia-pathops==0.8.0.post1
skia-python==87.6
smmap==5.0.1
sniffio==1.3.1
sortedcontainers==2.4.0
soupsieve==2.6
sre-yield==1.2
statmake==0.6.0
strictyaml==1.7.3
stringbrewer==0.0.1
tabulate==0.9.0
termcolor==2.4.0
toml==0.10.2
tqdm==4.66.5
trio==0.26.2
trio-websocket==0.11.1
ttfautohint-py==0.5.1
typing_extensions==4.12.2
ufo2ft==3.3.0
ufoLib2==0.16.0
ufolint==1.2.0
ufomerge==1.8.2
ufonormalizer==0.6.2
ufoProcessor==1.13.1
uharfbuzz==0.41.0
unicodedata2==15.1.0
Unidecode==1.3.8
urllib3==2.2.3
vfbLib==0.7.1
vharfbuzz==0.3.1
vttLib==0.12.0
websocket-client==1.8.0
wrapt==1.16.0
wsproto==1.2.0
youseedee==0.5.3
zopfli==0.2.3

## fonts-montserrat 7.222

=== debian/changelog ===
fonts-montserrat (7.222-3) unstable; urgency=medium

  * Change package maintainer. (Closes: #1055744)

 -- Marcelo Mendes Spessoto Junior <marcelomspessoto@gmail.com>  Mon, 02 Sep 2024 21:22:22 -0300

fonts-montserrat (7.222-2) unstable; urgency=medium

  * Team-maintain the package

 -- Bastian Germann <bage@debian.org>  Mon, 15 May 2023 10:33:30 +0200

fonts-montserrat (7.222-1) experimental; urgency=medium

  * Initial release. (Closes: #1034817)

 -- Bastian Germann <bage@debian.org>  Wed, 26 Apr 2023 10:34:26 +0200

=== debian/control ===
Source: fonts-montserrat
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Marcelo Mendes Spessoto Junior <marcelomspessoto@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/JulietaUla/Montserrat
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-montserrat
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-montserrat.git

Package: fonts-montserrat
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Font inspired by old urban posters and signs
 The old posters and signs in the traditional neighborhood of Buenos Aires
 called Montserrat inspired the design of this typeface that rescues the beauty
 of urban typography from the first half of the twentieth century.
 These are the types that make the city look so beautiful.

## fonts-montserrat 9.000

=== debian/changelog ===
fonts-montserrat (9.000-4) unstable; urgency=medium

  * Team upload
  * Build alternate fonts from source (Closes: #1036087)

 -- Bastian Germann <bage@debian.org>  Sun, 12 Oct 2025 17:44:12 +0200

fonts-montserrat (9.000-3) unstable; urgency=medium

  * Team upload
  * Prevent installing Montserrat[wght].woff2

 -- Bastian Germann <bage@debian.org>  Wed, 20 Aug 2025 17:04:07 +0200

fonts-montserrat (9.000-2) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 21:56:34 +0200

fonts-montserrat (9.000-1) experimental; urgency=medium

  * Team upload
  * New upstream version 9.000
  * Build non-alternate fonts from source
  * d/copyright: update to new version's info
  * Exclude pathops dependency (not packaged)

 -- Bastian Germann <bage@debian.org>  Mon, 21 Jul 2025 19:40:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,11 @@
 Uploaders: Marcelo Mendes Spessoto Junior <marcelomspessoto@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13)
+ debhelper-compat (= 13),
+ fontmake,
+ fonttools,
+ gftools (>= 0.9),
+ pyftfeatfreeze,
 Standards-Version: 4.6.2
 Homepage: https://github.com/JulietaUla/Montserrat
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-montserrat

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- build

execute_after_dh_install:
	rm -rf fonts fonts-underline fonts-alternates
	mv venv/fonts venv/fonts-underline venv/fonts-alternates .

override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/JulietaUla/Montserrat/tags (?:.*?/)v@ANY_VERSION@@ARCHIVE_EXT@
